Summary: The password database library.
Name: pwdb
Version: 0.61.2
Release: 4tr
License: GPL or BSD
Group: Trustix Official
Patch0: pwdb-0.61-includes.patch
Patch1: pwdb-0.61.2-traditional.patch
Source: pwdb-%{version}.tar.bz2
BuildRoot: /var/tmp/pwdb-root

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.


%package devel
Requires: %{name} = %{version}
Summary: haders and static library for libpwdb
Group: Trustix Official

%description devel
Header files and static library for libpwdb.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib,usr/lib,usr/include/pwdb}

make	INCLUDED=$RPM_BUILD_ROOT/usr/include/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/lib \
	LDCONFIG=":" \
	install

install -m 644 conf/pwdb.conf $RPM_BUILD_ROOT/etc/pwdb.conf
mv $RPM_BUILD_ROOT/lib/libpwdb.a $RPM_BUILD_ROOT/usr/lib/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Copyright doc/pwdb.txt README CREDITS
%config /etc/pwdb.conf
/lib/libpwdb.so.%{PACKAGE_VERSION}

%files devel
%defattr(-,root,root,0755)
%doc doc/html
/usr/lib/libpwdb.a
/usr/include/pwdb
/lib/libpwdb.so

%changelog
* Sun Dec 14 2003 Erlend Midttun <erlendbm at trustix dot org> 0.61.2-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.61.1-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.61.1-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.61-3em
- Rebuilt against glibc 2.3.2.

* Sun Jan 12 2003 Goetz Bock <bock at trustix dot org> pwdb-0.61-2bg
- splitted of hader files and static library

* Wed Aug 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- add missing header files (#16951)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix setting the password for passwordless accounts. Patch from Thomas
  Sailer

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
